org.eclipse.cdt.utils.xcoff

## Class XCoff32.SectionHeader

- java.lang.Object
- - org.eclipse.cdt.utils.xcoff.XCoff32.SectionHeader

Enclosing class:
  XCoff32

    public static class XCoff32.SectionHeader
    extends Object

### Field Summary

Fields
`static String` `_BSS`
`static String` `_DATA`
`static String` `_DEBUG`
`static String` `_EXCEPT`
`static String` `_INFO`
`static String` `_LOADER`
`static String` `_OVRFLO`
`static String` `_PAD`
`static String` `_TEXT`
`static String` `_TYPCHK`
`int` `s_flags`
`int` `s_lnnoptr`
`byte[]` `s_name`
`short` `s_nlnno`
`short` `s_nreloc`
`int` `s_paddr`
`int` `s_relptr`
`int` `s_scnptr`
`int` `s_size`
`int` `s_vaddr`
`static int` `SCNHSZ`
`static int` `STYP_BSS`
`static int` `STYP_DATA`
`static int` `STYP_DEBUG`
`static int` `STYP_EXCEPT`
`static int` `STYP_INFO`
`static int` `STYP_LOADER`
`static int` `STYP_OVRFLO`
`static int` `STYP_PAD`
`static int` `STYP_TEXT`
`static int` `STYP_TYPCHK`

### Constructor Summary

Constructors
Constructor and Description
`SectionHeader(RandomAccessFile file, long offset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getRawData()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SCNHSZ

    public static final int SCNHSZ

See Also:
  Constant Field Values

#### _TEXT

    public static final String _TEXT

See Also:
  Constant Field Values

#### _DATA

    public static final String _DATA

See Also:
  Constant Field Values

#### _BSS

    public static final String _BSS

See Also:
  Constant Field Values

#### _PAD

    public static final String _PAD

See Also:
  Constant Field Values

#### _LOADER

    public static final String _LOADER

See Also:
  Constant Field Values

#### _DEBUG

    public static final String _DEBUG

See Also:
  Constant Field Values

#### _TYPCHK

    public static final String _TYPCHK

See Also:
  Constant Field Values

#### _EXCEPT

    public static final String _EXCEPT

See Also:
  Constant Field Values

#### _OVRFLO

    public static final String _OVRFLO

See Also:
  Constant Field Values

#### _INFO

    public static final String _INFO

See Also:
  Constant Field Values

#### STYP_PAD

    public static final int STYP_PAD

See Also:
  Constant Field Values

#### STYP_TEXT

    public static final int STYP_TEXT

See Also:
  Constant Field Values

#### STYP_DATA

    public static final int STYP_DATA

See Also:
  Constant Field Values

#### STYP_BSS

    public static final int STYP_BSS

See Also:
  Constant Field Values

#### STYP_EXCEPT

    public static final int STYP_EXCEPT

See Also:
  Constant Field Values

#### STYP_INFO

    public static final int STYP_INFO

See Also:
  Constant Field Values

#### STYP_LOADER

    public static final int STYP_LOADER

See Also:
  Constant Field Values

#### STYP_DEBUG

    public static final int STYP_DEBUG

See Also:
  Constant Field Values

#### STYP_TYPCHK

    public static final int STYP_TYPCHK

See Also:
  Constant Field Values

#### STYP_OVRFLO

    public static final int STYP_OVRFLO

See Also:
  Constant Field Values

#### s_name

    public byte[] s_name

#### s_paddr

    public int s_paddr

#### s_vaddr

    public int s_vaddr

#### s_size

    public int s_size

#### s_scnptr

    public int s_scnptr

#### s_relptr

    public int s_relptr

#### s_lnnoptr

    public int s_lnnoptr

#### s_nreloc

    public short s_nreloc

#### s_nlnno

    public short s_nlnno

#### s_flags

    public int s_flags

### Constructor Detail

#### SectionHeader

    public SectionHeader(RandomAccessFile file,
                         long offset)
                  throws IOException

Throws:
  `IOException`

### Method Detail

#### getRawData

    public byte[] getRawData()
                      throws IOException

Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`